<div class="results-panel-content">
  <mat-tab-group
    #tabGroup
    mat-stretch-tabs
    (selectedTabChange)="onTabChanged($event)">
    <mat-tab
      label="Standalone"
      [aria-label]="STANDALONE_MODE">
      <div
        data-cy="results-list-standalone"
        class="results-content-container"
        *ngIf="standaloneResults && standaloneResults.length">
        <app-result-item
          *ngFor="let standaloneResult of standaloneResults"
          [result]="standaloneResult"
          [selected]="jobsSelections[standaloneResult.job.id]?.checked"
          [classColorEntities]="classColorEntities"
          [version]="version"
          (zoomToAnnotation)="zoomToAnnotation.emit($event)"
          (changeSelection)="changeJobSelection.emit($event)"
          (interruptJobExecution)="interruptJobExecution.emit($event)">
        </app-result-item>
        <mat-divider></mat-divider>
      </div>
      <ng-container *ngIf="!selectionMissing && !standaloneResults?.length">
        <div class="menu-no-content">
          <div data-cy="no-results">Slide has no Standalone Results</div>
        </div>
      </ng-container>
    </mat-tab>
    <mat-tab
      label="Postprocessing"
      [aria-label]="POSTPROCESSING_MODE"
      [disabled]="!preprocessingJob">
      <div
        data-cy="results-list-preprocessing"
        class="results-content-container"
        *ngIf="postprocessingResults && postprocessingResults.length">
        <app-result-item
          *ngFor="let postprocessingResult of postprocessingResults"
          [result]="postprocessingResult"
          [selected]="jobsSelections[postprocessingResult.job.id]?.checked"
          [version]="version"
          (zoomToAnnotation)="zoomToAnnotation.emit($event)"
          (changeSelection)="changeJobSelection.emit($event)"
          (interruptJobExecution)="interruptJobExecution.emit($event)">
        </app-result-item>
        <mat-divider></mat-divider>
      </div>
      <ng-container *ngIf="!selectionMissing && !postprocessingResults?.length">
        <div class="menu-no-content">
          <div data-cy="no-results">Slide has no Post Processing Results</div>
        </div>
      </ng-container>
    </mat-tab>
  </mat-tab-group>
  <ng-container *ngIf="selectionMissing">
    <app-missing-selection-error
      [missingSelectionType]="selectionMissing"
      (errorClicked)="errorClicked.emit($event)">
    </app-missing-selection-error>
  </ng-container>
</div>
